/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.repository.web.ui.internal.wizard.WizardIntro");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("com.ibm.team.repository.web.client.internal.ServerStatusClient");
dojo.require("com.ibm.team.repository.web.transport.ServiceResponseHandler");

(function() {

var ServerStatusClient = com.ibm.team.repository.web.client.internal.ServerStatusClient;
var ServiceResponseHandler = com.ibm.team.repository.web.transport.ServiceResponseHandler;

dojo.declare("com.ibm.team.repository.web.ui.internal.wizard.WizardIntro",  [dijit._Widget, dijit._Templated], {

	templatePath: dojo.moduleUrl("com.ibm.team.repository.web", "ui/internal/wizard/templates/Intro.html"),

	postCreate: function() {
		com.ibm.team.repository.web.ui.internal.wizard.WizardIntro.superclass.postCreate.apply(this);
		this._navigation = this.wizardNav;
		this._navigation.domNode.style.display = "none";
		this._invokeServer();
	},
	
	onCustomButtonClick: function (event) {
		dojo.stopEvent(event);
		this._goNext(this.customAction);
	},
	
	onFastButtonClick: function (event) {
		dojo.stopEvent(event);
		this._goNext(this.fastAction);	
	},
	
	_goNext: function(next) {
		var loc = document.location;
		loc.href = next;	
	},
	
	_invokeServer: function () {
		var srh= new ServiceResponseHandler(this, "_doNothing", "_doNothing");
		ServerStatusClient.getServiceConfiguration(srh, "com.ibm.team.repository.service.internal.MailerService");
	}, 
	
	_doNothing: function () {
		// do nothing
		// this is to activate the services on a newly started server
	}
});

})();