/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("com.ibm.team.repository.web.ui.internal.wizard.WizardPropertyElement");

dojo.declare("com.ibm.team.repository.web.ui.internal.wizard.WizardPropertyElement", [dijit._Widget, dijit._Templated], {

	templatePath: dojo.moduleUrl("com.ibm.team.repository.web", "ui/internal/wizard/templates/WizardPropertyElement.html"),
	postCreate: function() {
		com.ibm.team.repository.web.ui.internal.wizard.WizardPropertyElement.superclass.postCreate.apply(this);
		this._propertyName.appendChild(document.createTextNode(this.displayName));
		this._propertyDescription.appendChild(document.createTextNode(this.description)); 
		this._currentValue = "";
		this._propertyValue.appendChild(this._createInputNode());
		var example = document.createElement("span");
		example.innerHTML = "Example: " + this.example;
		example.className = "example";
		this._propertyDescription.appendChild(example);
	},
	
	_createInputNode: function () {
		var node;
		if (this.propertyType == "BOOLEAN") {
			node = document.createElement("select");
			var option = document.createElement("option");
			option.text = "true";
			option.value = "true";
			node.options[node.options.length] = option;
			option = document.createElement("option");
			option.text = "false";
			option.value = "false";
			node.options[node.options.length] = option;
			node._propertyElement = this;
			node.className = "editValueNode";
			node.value = this._currentValue;
		}
		else {
			node = document.createElement("input");
			node._propertyElement = this;
			if (this.accessPolicy == "SENSITIVE") {
				node.type = "password";
			}
			else {
				node.type = "text";
			}
			node.className = "editValueNode";
			node.value = this._currentValue;
		}
		//dojo.connect(node,"onchange",this,"_checkValidity");
		return node;
	}
	
});

})();